Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class AbstractFigureImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractFigure, Figure, Layoutable

Direct Known Subclasses:
  FigureRefImpl, RealFigureImpl

    public abstract class AbstractFigureImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements AbstractFigure

An implementation of the model object 'Abstract Figure'.

The following features are implemented:

- `Layout Data`
- `Layout`
- `Descriptor`
- `Foreground Color`
- `Background Color`
- `Maximum Size`
- `Minimum Size`
- `Preferred Size`
- `Font`
- `Insets`
- `Border`
- `Location`
- `Size`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected Color` `backgroundColor` The cached value of the '`Background Color`' containment reference
`protected Border` `border` The cached value of the '`Border`' containment reference
`protected Font` `font` The cached value of the '`Font`' containment reference
`protected Color` `foregroundColor` The cached value of the '`Foreground Color`' containment reference
`protected Insets` `insets` The cached value of the '`Insets`' containment reference
`protected Layout` `layout` The cached value of the '`Layout`' containment reference
`protected LayoutData` `layoutData` The cached value of the '`Layout Data`' containment reference
`protected Point` `location` The cached value of the '`Location`' containment reference
`protected Dimension` `maximumSize` The cached value of the '`Maximum Size`' containment reference
`protected Dimension` `minimumSize` The cached value of the '`Minimum Size`' containment reference
`protected Dimension` `preferredSize` The cached value of the '`Preferred Size`' containment reference
`protected Point` `size` The cached value of the '`Size`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `AbstractFigureImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetBackgroundColor(Color newBackgroundColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetBorder(Border newBorder, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetFont(Font newFont, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetForegroundColor(Color newForegroundColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLayout(Layout newLayout, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLayoutData(LayoutData newLayoutData, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLocation(Point newLocation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMaximumSize(Dimension newMaximumSize, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMinimumSize(Dimension newMinimumSize, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetPreferredSize(Dimension newPreferredSize, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetSize(Point newSize, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Color` `getBackgroundColor()`
`Border` `getBorder()`
`FigureDescriptor` `getDescriptor()`
`Font` `getFont()`
`Color` `getForegroundColor()`
`Insets` `getInsets()`
`Layout` `getLayout()`
`LayoutData` `getLayoutData()`
`Point` `getLocation()`
`Dimension` `getMaximumSize()`
`Dimension` `getMinimumSize()`
`Dimension` `getPreferredSize()`
`Point` `getSize()`
`void` `setBackgroundColor(Color newBackgroundColor)`
`void` `setBorder(Border newBorder)`
`void` `setFont(Font newFont)`
`void` `setForegroundColor(Color newForegroundColor)`
`void` `setInsets(Insets newInsets)`
`void` `setLayout(Layout newLayout)`
`void` `setLayoutData(LayoutData newLayoutData)`
`void` `setLocation(Point newLocation)`
`void` `setMaximumSize(Dimension newMaximumSize)`
`void` `setMinimumSize(Dimension newMinimumSize)`
`void` `setPreferredSize(Dimension newPreferredSize)`
`void` `setSize(Point newSize)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### layoutData

    protected LayoutData layoutData

  The cached value of the '`Layout Data`' containment reference.

  See Also:
    `getLayoutData()`
  ** Generated **
  Ordered:

### layout

    protected Layout layout

  The cached value of the '`Layout`' containment reference.

  See Also:
    `getLayout()`
  ** Generated **
  Ordered:

### foregroundColor

    protected Color foregroundColor

  The cached value of the '`Foreground Color`' containment reference.

  See Also:
    `getForegroundColor()`
  ** Generated **
  Ordered:

### backgroundColor

    protected Color backgroundColor

  The cached value of the '`Background Color`' containment reference.

  See Also:
    `getBackgroundColor()`
  ** Generated **
  Ordered:

### maximumSize

    protected Dimension maximumSize

  The cached value of the '`Maximum Size`' containment reference.

  See Also:
    `getMaximumSize()`
  ** Generated **
  Ordered:

### minimumSize

    protected Dimension minimumSize

  The cached value of the '`Minimum Size`' containment reference.

  See Also:
    `getMinimumSize()`
  ** Generated **
  Ordered:

### preferredSize

    protected Dimension preferredSize

  The cached value of the '`Preferred Size`' containment reference.

  See Also:
    `getPreferredSize()`
  ** Generated **
  Ordered:

### font

    protected Font font

  The cached value of the '`Font`' containment reference.

  See Also:
    `getFont()`
  ** Generated **
  Ordered:

### insets

    protected Insets insets

  The cached value of the '`Insets`' containment reference.

  See Also:
    `getInsets()`
  ** Generated **
  Ordered:

### border

    protected Border border

  The cached value of the '`Border`' containment reference.

  See Also:
    `getBorder()`
  ** Generated **
  Ordered:

### location

    protected Point location

  The cached value of the '`Location`' containment reference.

  See Also:
    `getLocation()`
  ** Generated **
  Ordered:

### size

    protected Point size

  The cached value of the '`Size`' containment reference.

  See Also:
    `getSize()`
  ** Generated **
  Ordered:

Constructor Detail

### AbstractFigureImpl

    protected AbstractFigureImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getLayoutData

    public LayoutData getLayoutData()

  Specified by:
    `getLayoutData` in interface `Layoutable`
  Returns:
    the value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.setLayoutData(LayoutData)`, `GMFGraphPackage.getLayoutable_LayoutData()`, `LayoutData.getOwner()`
  ** Generated **

### basicSetLayoutData

    public org.eclipse.emf.common.notify.NotificationChain basicSetLayoutData(LayoutData newLayoutData,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setLayoutData

    public void setLayoutData(LayoutData newLayoutData)

  Specified by:
    `setLayoutData` in interface `Layoutable`
  Parameters:
    `newLayoutData` - the new value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.getLayoutData()`
  ** Generated **

### getLayout

    public Layout getLayout()

  Specified by:
    `getLayout` in interface `Layoutable`
  Returns:
    the value of the 'Layout' containment reference.
  See Also:
    `Layoutable.setLayout(Layout)`, `GMFGraphPackage.getLayoutable_Layout()`
  ** Generated **

### basicSetLayout

    public org.eclipse.emf.common.notify.NotificationChain basicSetLayout(Layout newLayout,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setLayout

    public void setLayout(Layout newLayout)

  Specified by:
    `setLayout` in interface `Layoutable`
  Parameters:
    `newLayout` - the new value of the 'Layout' containment reference.
  See Also:
    `Layoutable.getLayout()`
  ** Generated **

### getDescriptor

    public FigureDescriptor getDescriptor()

  Specified by:
    `getDescriptor` in interface `Figure`
  Returns:
    the value of the 'Descriptor' reference.
  See Also:
    `GMFGraphPackage.getFigure_Descriptor()`
  ** Generated **
    NOT

### getForegroundColor

    public Color getForegroundColor()

  Specified by:
    `getForegroundColor` in interface `Figure`
  Returns:
    the value of the 'Foreground Color' containment reference.
  See Also:
    `Figure.setForegroundColor(Color)`, `GMFGraphPackage.getFigure_ForegroundColor()`
  ** Generated **

### basicSetForegroundColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetForegroundColor(Color newForegroundColor,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setForegroundColor

    public void setForegroundColor(Color newForegroundColor)

  Specified by:
    `setForegroundColor` in interface `Figure`
  Parameters:
    `newForegroundColor` - the new value of the 'Foreground Color' containment reference.
  See Also:
    `Figure.getForegroundColor()`
  ** Generated **

### getBackgroundColor

    public Color getBackgroundColor()

  Specified by:
    `getBackgroundColor` in interface `Figure`
  Returns:
    the value of the 'Background Color' containment reference.
  See Also:
    `Figure.setBackgroundColor(Color)`, `GMFGraphPackage.getFigure_BackgroundColor()`
  ** Generated **

### basicSetBackgroundColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetBackgroundColor(Color newBackgroundColor,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setBackgroundColor

    public void setBackgroundColor(Color newBackgroundColor)

  Specified by:
    `setBackgroundColor` in interface `Figure`
  Parameters:
    `newBackgroundColor` - the new value of the 'Background Color' containment reference.
  See Also:
    `Figure.getBackgroundColor()`
  ** Generated **

### getMaximumSize

    public Dimension getMaximumSize()

  Specified by:
    `getMaximumSize` in interface `Figure`
  Returns:
    the value of the 'Maximum Size' containment reference.
  See Also:
    `Figure.setMaximumSize(Dimension)`, `GMFGraphPackage.getFigure_MaximumSize()`
  ** Generated **

### basicSetMaximumSize

    public org.eclipse.emf.common.notify.NotificationChain basicSetMaximumSize(Dimension newMaximumSize,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setMaximumSize

    public void setMaximumSize(Dimension newMaximumSize)

  Specified by:
    `setMaximumSize` in interface `Figure`
  Parameters:
    `newMaximumSize` - the new value of the 'Maximum Size' containment reference.
  See Also:
    `Figure.getMaximumSize()`
  ** Generated **

### getMinimumSize

    public Dimension getMinimumSize()

  Specified by:
    `getMinimumSize` in interface `Figure`
  Returns:
    the value of the 'Minimum Size' containment reference.
  See Also:
    `Figure.setMinimumSize(Dimension)`, `GMFGraphPackage.getFigure_MinimumSize()`
  ** Generated **

### basicSetMinimumSize

    public org.eclipse.emf.common.notify.NotificationChain basicSetMinimumSize(Dimension newMinimumSize,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setMinimumSize

    public void setMinimumSize(Dimension newMinimumSize)

  Specified by:
    `setMinimumSize` in interface `Figure`
  Parameters:
    `newMinimumSize` - the new value of the 'Minimum Size' containment reference.
  See Also:
    `Figure.getMinimumSize()`
  ** Generated **

### getPreferredSize

    public Dimension getPreferredSize()

  Specified by:
    `getPreferredSize` in interface `Figure`
  Returns:
    the value of the 'Preferred Size' containment reference.
  See Also:
    `Figure.setPreferredSize(Dimension)`, `GMFGraphPackage.getFigure_PreferredSize()`
  ** Generated **

### basicSetPreferredSize

    public org.eclipse.emf.common.notify.NotificationChain basicSetPreferredSize(Dimension newPreferredSize,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setPreferredSize

    public void setPreferredSize(Dimension newPreferredSize)

  Specified by:
    `setPreferredSize` in interface `Figure`
  Parameters:
    `newPreferredSize` - the new value of the 'Preferred Size' containment reference.
  See Also:
    `Figure.getPreferredSize()`
  ** Generated **

### getFont

    public Font getFont()

  Specified by:
    `getFont` in interface `Figure`
  Returns:
    the value of the 'Font' containment reference.
  See Also:
    `Figure.setFont(Font)`, `GMFGraphPackage.getFigure_Font()`
  ** Generated **

### basicSetFont

    public org.eclipse.emf.common.notify.NotificationChain basicSetFont(Font newFont,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setFont

    public void setFont(Font newFont)

  Specified by:
    `setFont` in interface `Figure`
  Parameters:
    `newFont` - the new value of the 'Font' containment reference.
  See Also:
    `Figure.getFont()`
  ** Generated **

### getInsets

    public Insets getInsets()

  Specified by:
    `getInsets` in interface `Figure`
  Returns:
    the value of the 'Insets' containment reference.
  See Also:
    `Figure.setInsets(Insets)`, `GMFGraphPackage.getFigure_Insets()`
  ** Generated **

### basicSetInsets

    public org.eclipse.emf.common.notify.NotificationChain basicSetInsets(Insets newInsets,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setInsets

    public void setInsets(Insets newInsets)

  Specified by:
    `setInsets` in interface `Figure`
  Parameters:
    `newInsets` - the new value of the 'Insets' containment reference.
  See Also:
    `Figure.getInsets()`
  ** Generated **

### getBorder

    public Border getBorder()

  Specified by:
    `getBorder` in interface `Figure`
  Returns:
    the value of the 'Border' containment reference.
  See Also:
    `Figure.setBorder(Border)`, `GMFGraphPackage.getFigure_Border()`
  ** Generated **

### basicSetBorder

    public org.eclipse.emf.common.notify.NotificationChain basicSetBorder(Border newBorder,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setBorder

    public void setBorder(Border newBorder)

  Specified by:
    `setBorder` in interface `Figure`
  Parameters:
    `newBorder` - the new value of the 'Border' containment reference.
  See Also:
    `Figure.getBorder()`
  ** Generated **

### getLocation

    public Point getLocation()

  Specified by:
    `getLocation` in interface `Figure`
  Returns:
    the value of the 'Location' containment reference.
  See Also:
    `Figure.setLocation(Point)`, `GMFGraphPackage.getFigure_Location()`
  ** Generated **

### basicSetLocation

    public org.eclipse.emf.common.notify.NotificationChain basicSetLocation(Point newLocation,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setLocation

    public void setLocation(Point newLocation)

  Specified by:
    `setLocation` in interface `Figure`
  Parameters:
    `newLocation` - the new value of the 'Location' containment reference.
  See Also:
    `Figure.getLocation()`
  ** Generated **

### getSize

    public Point getSize()

  Specified by:
    `getSize` in interface `Figure`
  Returns:
    the value of the 'Size' containment reference.
  See Also:
    `Figure.setSize(Point)`, `GMFGraphPackage.getFigure_Size()`
  ** Generated **

### basicSetSize

    public org.eclipse.emf.common.notify.NotificationChain basicSetSize(Point newSize,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setSize

    public void setSize(Point newSize)

  Specified by:
    `setSize` in interface `Figure`
  Parameters:
    `newSize` - the new value of the 'Size' containment reference.
  See Also:
    `Figure.getSize()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.